<?php

require "showshp.php";

session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}


?>


<html>

<head>
<style>
div.msd{position:absolute;top:105;left:-2;height:500;width:185;z-index:-1;background:#E6E6E6;border-radius:5px;}
</style>


<link rel="stylesheet" type="text/css" href="rdsty.css">
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<link rel="stylesheet" type="text/css" href="rdsty.css">

<script>


function fdtfinds(pr)
{

var vl=document.getElementById("dtfinds").value;
var dt=document.getElementById("dtd");
var cn=dt.rows.length;
var vls=vl.toLowerCase();

for(var cnt=3;cnt<cn;cnt++){
	
var tmp=dt.rows[cnt].cells[0].innerHTML;
var tmpa=tmp.toLowerCase();
var tmp=dt.rows[cnt].cells[1].innerHTML;
var tmpb=tmp.toLowerCase();
var sta=tmpa.indexOf(vls);
var stb=tmpb.indexOf(vls);

if((sta>=0 || stb>=0 ) && vls.length>0){
dt.rows[cnt].style.display="table-row";}
else{
dt.rows[cnt].style.display="none";}

if(vls.length==0){
dt.rows[cnt].style.display="table-row";}
}

	
}


</script>

</head>

<body style="font-family:calibri;font-size:small" onload="mnh('amne','areasb')">

<div class="hdn"></div>
<?php
printf("<div class='ses'>%s (%s)</div>",$_SESSION['titles'],$_SESSION['positions']);
?>

<div class="tops" align="center">Zone sales summary</div>
<div class="homes"><a href="index.php" style='color:#A9BCF5;'>Sign out</a></div>

</body>

</html>



<?php

$starts=$_REQUEST['starts'];
$ends=$_REQUEST['ends'];

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones="All";}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions="All";}

if(isset($_REQUEST['territorys'])){
$territorys=$_REQUEST['territorys'];}
else{
$territorys="All";}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents="All";}

if(isset($_REQUEST['rsms'])){
$rsms=$_REQUEST['rsms'];}
else{
$rsms="All";}

if(isset($_REQUEST['executives'])){
$executives=$_REQUEST['executives'];}
else{
$executives="All";}

if(isset($_REQUEST['reps'])){
$reps=$_REQUEST['reps'];}
else{
$reps="All";}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges="All";}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges="All";}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items="All";}

$rpsty="regions=".$regions."&agents=".$agents."&territorys=".$territorys."&ranges=".$ranges."&zones=".$zones."&rsms=".$rsms."&executives=".$executives."&reps=".$reps
."&items=".$items."&subranges=".$subranges; 

$months=date('m');
$days=date('t');
$years=date('Y');



if($starts==0 || $starts==''){
$starts=$years."-".$months."-01";}
if($ends==0 || $ends==''){
$ends=$years."-".$months."-".$days;}


showshps();


printf("</div><div class='srg'></div>");
printf("<div class='mains'>");

printf("<div class='tnm'>");


$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");
$seflt=" where agent_names is not null ";

$sesqlst="select * from acs where user_names='".$_SESSION['usernames']."'";
$seqry=mysqli_query($conn,$sesqlst);

while($serst=mysqli_fetch_row($seqry)){
if(strtolower($serst[1])!='all'){
$seflt=$seflt." and zones='".$serst[1]."' ";}
if(strtolower($serst[2])!='all'){
$seflt=$seflt." and regions='".$serst[2]."' ";}
if(strtolower($serst[3])!='all'){
$seflt=$seflt." and territory_names='".$serst[3]."' ";}
if(strtolower($serst[4])!='all'){
$seflt=$seflt." and agent_names='".$serst[4]."' ";}
if(strtolower($serst[5])!='all'){
$seflt=$seflt." and item_names='".$serst[5]."' ";}
if(strtolower($serst[6])!='all'){
$seflt=$seflt." and item_ranges='".$serst[6]."' ";}
if(strtolower($serst[7])!='all'){
$seflt=$seflt." and sub_ranges='".$serst[7]."' ";}
if(strtolower($serst[8])!='all'){
$seflt=$seflt." and executive_names='".$serst[8]."' ";}
if(strtolower($serst[9])!='all'){
$seflt=$seflt." and chanell='".$serst[9]."' ";}
}

#echo $seflt;

printf("<form method='post' action='przonesummarys.php?%s'>",$rpsty);
printf("<div class='fra'>From</div><div class='frb'>
<input type='text' size=10 class='starts'  name='starts' value='%s' id='inputField'></div><div class='frc'>To</div><div class='frd'><input type='text class='ends' size=10 name='ends' value='%s' id='inputField2'></div>
<div class='fre'><input type='submit' value='go' style='width:70'></div><div class='frf'>Search</div><div class='frg'>
<input type='text' size=20 id='dtfinds' autocomplete='off' onkeydown=\"fdtfinds(event)\"></div></form>",$starts,$ends);

printf("<div class='tdt'><br><table id='dtd' style='font-size:13'><th border='white' bgcolor='silver' colspan='12'><b>Sales value Rs.</th>");
printf("<tr bgcolor='grey' style='color:#E6E6E6;'><td width=100 align='center'  style='border:1px solid white' >Region</td>");

$grt=0;
$grq=0;
$arr=array();



$flt=$seflt." and dates>='".$_REQUEST['starts']."' and dates<='".$_REQUEST['ends']."' ";
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($territorys)!='all'){
$flt=$flt." and territory_names='".$territorys."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}


$tsqlst="select distinct item_ranges from itemsmrd";
$tqry=mysqli_query($conn,$tsqlst);
$cnt=0;
while($trst=mysqli_fetch_row($tqry)){
$arr[$cnt]=$trst[0];
printf("<td width=100 align='center'  style='border:1px solid white' >%s</td>",$trst[0]);
$cnt++;
}

printf("<td width=100 align='center'  style='border:1px solid white' >Total </td><td width=120 align='center'  style='border:1px solid white' >View regions</td></tr>");

$asqlst="";
for($cnt=0;$cnt<count($arr);$cnt++){
$asqlst=$asqlst." left join (select zones,sum((pcs_qty*pcs_price)+(box_qty*box_price)) as vls from rc_invoices ".$flt." and item_ranges='".$arr[$cnt]."' group by zones) as ".$arr[$cnt]." on ".$arr[$cnt].".zones=mzones ";}

$rsqlst="select mzones as zones";

for($cnt=0;$cnt<count($arr);$cnt++){
$rsqlst=$rsqlst.",".$arr[$cnt].".vls as ".$arr[$cnt];
}


$rsqlst=$rsqlst." from (select distinct zone as mzones from agentsmrd ) as rgs ";


$sqlst=$rsqlst.$asqlst;
#echo $sqlst;


$qry=mysqli_query($conn,$sqlst);


while($rst=mysqli_fetch_row($qry)){
$tsv=0;
$cn=mysqli_num_fields($qry);
printf("<tr class='cls' bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td>%s</td>",$rst[0]);
for($rnt=1;$rnt<$cn;$rnt++){
$tsv=$tsv+$rst[$rnt];
printf("<td align='right'>%s</td>",number_format($rst[$rnt],2,'.',','));}
printf("<td align='right'><b>%s</td>",number_format($tsv,2,'.',','));
printf("<td align='center'><a href='prregionsummarys.php?rpsty=agentsummarys&starts=%s&ends=%s&regions=All&agents=%s&zones=%s' target='_blank'>View regions</a></td>",$starts,$ends,$agents,$rst[0]);
}

?>
